elm::slideshow Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::slideshow Struct Reference

Class slideshow. More...

## Public Member Functions
| slideshow (Eo *eo)
| Eo Constructor. More...
| slideshow (std::nullptr_t)
| nullptr_t Constructor. More...
| slideshow (slideshow const &other)
| Copy Constructor.
::elm::widget_item | item_nth_get (unsigned int nth_) const
::elm::widget_item | item_add (const Elm_Slideshow_Item_Class *itc_, const void *data_) const
::elm::widget_item | item_sorted_insert (const Elm_Slideshow_Item_Class *itc_, const void *data_, Eina_Compare_Cb func_) const
| slideshow (::efl::eo::parent_type _p)
| Constructs a new elm::slideshow object. More...

## Detailed Description

Class slideshow.

## Constructor & Destructor Documentation

elm::slideshow::slideshow | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::slideshow object.

Constructs a new elm::slideshow object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::slideshow my_slideshow(efl::eo::parent = parent_object);

See also
  slideshow(Eo* eo)

elm::slideshow::slideshow | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::slideshow::slideshow | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

::elm::widget_item elm::slideshow::item_add | ( | const Elm_Slideshow_Item_Class * | itc_,
|  | const void * | data_
| ) |  | const

Parameters

  itc |
  data |

::elm::widget_item elm::slideshow::item_nth_get | ( | unsigned int | nth_ | ) | const

Parameters

  nth |

::elm::widget_item elm::slideshow::item_sorted_insert | ( | const Elm_Slideshow_Item_Class * | itc_,
|  | const void * | data_,
|  | Eina_Compare_Cb | func_
| ) |  | const

Parameters

  itc |
  data |
  func |